public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/capstone/
Date: Wed, 19 Feb 2025 11:14:00 +0000 (UTC)	[thread overview]
Message-ID: <1739963493.630329aac0ada7dd3157b684f0452c03df04d0ae.sam@gentoo> (raw)

commit:     630329aac0ada7dd3157b684f0452c03df04d0ae
Author:     Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Thu Jan 16 18:19:01 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 19 11:11:33 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=630329aa

dev-libs/capstone: add 5.0.5

Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/capstone/Manifest              |   1 +
 dev-libs/capstone/capstone-5.0.5.ebuild | 103 ++++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/dev-libs/capstone/Manifest b/dev-libs/capstone/Manifest
index 28560cbb1f8b..61572d2153f6 100644
--- a/dev-libs/capstone/Manifest
+++ b/dev-libs/capstone/Manifest
@@ -1,2 +1,3 @@
 DIST capstone-5.0.3.tar.gz 7650875 BLAKE2B 3750964a95cbaba685dfb5cf511f12d18f2c157fb622a15c4615734987b8a49ffacf021457f36302606ccf9055e45a7fc56af000b8f09df467922896b431537c SHA512 2fd3194dd37065e6091d208c7670b12c0ca6872931eef794bd6b2dd624601c843e8ee6c5714eae0372e394e91a9bc1e4de7dfea6b1087542dd461226569101de
+DIST capstone-5.0.5.tar.gz 7654484 BLAKE2B 9725340b74a6e1acf54debeecce63c262dddc23e69940b1d2f94ba14562ea5da07d93cb572ce24fc2c087d73eaedef265cdd0341377685082543568d8e61a40e SHA512 36c81fb6f36867b7d43f4e930493cd821cb5f233a56dbe504c6244569f154f462db565181aa2fe7df8f194a7225f56d42f941ff82e2ee16e44d5fb74ff27c818
 DIST capstone-6.0.0_alpha2.tar.gz 10158754 BLAKE2B cbd2a337f53ce3d69501b3f3859f8c2f97f613c96d1f32fe74856ee9eb716ecca0ad6cbbd23c4c9cf7cfa111c9f2f4e24bd222de0773f42dc15b014c179502d5 SHA512 6f5dc2baaa3d26ba1c1f487a91167395110614004f72d66aa3b0656098d46fffd7f79a9fef0fb861c0cf12dd88e53d3989bbcf74851fdd480af69bf81d6017e1

diff --git a/dev-libs/capstone/capstone-5.0.5.ebuild b/dev-libs/capstone/capstone-5.0.5.ebuild
new file mode 100644
index 000000000000..0b74af2e59fb
--- /dev/null
+++ b/dev-libs/capstone/capstone-5.0.5.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+DISTUTILS_EXT=1
+DISTUTILS_OPTIONAL=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit cmake distutils-r1 toolchain-funcs
+
+DESCRIPTION="disassembly/disassembler framework + bindings"
+HOMEPAGE="https://www.capstone-engine.org/"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/capstone-engine/capstone.git"
+	EGIT_REPO_BRANCH="next"
+else
+	MY_PV="${PV}"
+	MY_PV="${MY_PV/_alpha/-Alpha}"
+	MY_PV="${MY_PV/_beta/-Beta}"
+	MY_PV="${MY_PV/_rc/-rc}"
+	SRC_URI="https://github.com/capstone-engine/capstone/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/${PN}-${MY_PV}"
+	if [[ ${PV} != *_alpha* && ${PV} != *_beta* && ${PV} != *_rc* ]] ; then
+		KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+	fi
+fi
+
+LICENSE="BSD"
+SLOT="0/5" # libcapstone.so.5
+
+IUSE="python static-libs test"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+	python? ( dev-python/setuptools[${PYTHON_USEDEP}] )
+"
+BDEPEND="${DISTUTILS_DEPS}"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-5.0.2-tests.patch"
+)
+
+if [[ ${PV} == *_rc* ]]; then
+	# Upstream doesn't flag release candidates (bug 858350)
+	QA_PKGCONFIG_VERSION=""
+fi
+
+wrap_python() {
+	local phase=$1
+	shift
+
+	if use python; then
+		pushd "${S}/bindings/python" >/dev/null || die
+		distutils-r1_${phase} "$@"
+		popd >/dev/null || die
+	fi
+}
+
+src_prepare() {
+	tc-export RANLIB
+	cmake_src_prepare
+
+	wrap_python ${FUNCNAME}
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_SHARED_LIBS=true
+		-DBUILD_STATIC_LIBS=false
+		-DCAPSTONE_BUILD_TESTS="$(usex test)"
+	)
+	cmake_src_configure
+
+	wrap_python ${FUNCNAME}
+}
+
+src_compile() {
+	cmake_src_compile
+
+	wrap_python ${FUNCNAME}
+}
+
+src_test() {
+	cmake_src_test
+
+	wrap_python ${FUNCNAME}
+}
+
+src_install() {
+	cmake_src_install
+
+	wrap_python ${FUNCNAME}
+}
+
+python_test() {
+	emake check
+}


             reply	other threads:[~2025-02-19 11:14 UTC|newest]

Thread overview: 78+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-02-19 11:14 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-28 15:22 [gentoo-commits] repo/gentoo:master commit in: dev-libs/capstone/ Sam James
2025-03-26  6:27 Sam James
2025-03-26  6:27 Sam James
2025-02-19 11:14 Sam James
2025-02-19 11:14 Sam James
2024-11-29 21:18 Eli Schwartz
2024-11-21 21:08 Arthur Zamarin
2024-11-19 12:06 Sam James
2024-11-19 12:06 Sam James
2024-11-02 12:46 Joonas Niilola
2024-10-05  7:54 Arthur Zamarin
2024-10-05  7:39 Michał Górny
2024-08-28  6:39 Joonas Niilola
2024-08-28  6:39 Joonas Niilola
2024-07-03  5:17 Ionen Wolkens
2024-06-02  0:41 Sam James
2024-06-02  0:41 Sam James
2024-01-03  6:22 Sam James
2023-10-04 21:56 Conrad Kostecki
2023-09-26 18:25 Sam James
2023-09-26 17:58 Sam James
2023-09-03 16:39 Sam James
2023-09-03 16:39 Sam James
2023-08-26  4:01 Sam James
2023-08-26  4:01 Sam James
2023-07-31  8:08 Joonas Niilola
2023-07-31  8:08 Joonas Niilola
2023-06-18 19:02 John Helmert III
2023-06-18 19:02 John Helmert III
2023-03-20 21:52 Sam James
2023-03-20 21:52 Sam James
2023-02-17 17:27 Viorel Munteanu
2023-01-20  0:03 Mike Frysinger
2023-01-14  8:04 Arthur Zamarin
2023-01-05  5:21 Sam James
2022-12-02 10:20 WANG Xuerui
2022-12-02 10:20 WANG Xuerui
2022-11-11  6:30 Sam James
2022-11-11  4:25 Sam James
2022-08-27  8:27 Sam James
2022-08-27  8:27 Sam James
2022-08-15 23:10 Sam James
2022-08-15 23:10 Sam James
2022-08-15 23:10 Sam James
2022-08-15 23:10 Sam James
2022-08-15 23:10 Sam James
2022-08-05  7:17 Joonas Niilola
2022-04-29  9:01 Joonas Niilola
2022-04-29  9:01 Joonas Niilola
2022-01-23  8:05 Yixun Lan
2021-10-27  6:37 Agostino Sarubbo
2021-10-27  6:35 Agostino Sarubbo
2021-07-23  7:33 Sergei Trofimovich
2021-07-03  7:09 Sergei Trofimovich
2021-05-15 13:58 Sergei Trofimovich
2020-11-10 23:49 Sergei Trofimovich
2020-09-01 18:13 Sergei Trofimovich
2020-09-01 18:13 Sergei Trofimovich
2020-07-05 10:56 Sergei Trofimovich
2020-05-29 22:13 Sergei Trofimovich
2020-05-20 17:53 Sergei Trofimovich
2020-05-08 18:44 Sergei Trofimovich
2020-03-23 23:58 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2019-10-02 17:53 Mike Auty
2019-09-18 22:12 Sergei Trofimovich
2019-08-05 12:41 Guilherme Amadio
2019-01-10 21:37 Sergei Trofimovich
2017-12-24 14:13 Sergei Trofimovich
2017-10-12 11:14 Sergei Trofimovich
2017-09-25 13:37 Pacho Ramos
2017-07-29  9:26 Sergei Trofimovich
2017-03-25 16:09 Sergei Trofimovich
2016-09-28 19:26 Richard Farina
2016-09-03 14:01 Sergei Trofimovich
2016-06-04 12:01 Sergei Trofimovich
2016-06-04 11:54 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1739963493.630329aac0ada7dd3157b684f0452c03df04d0ae.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox